<?php

final class SemiStructuredStaticSearchField // PhorgeStaticSearchField
  extends PhabricatorSearchField {

  private $value;

  public function setValue(string $value) {
    $this->value = $value;
    return $this;
  }

  protected function getValueFromRequest(AphrontRequest $request, $key) {
    return null;
  }

  protected function getValueForControl() {
    return $this->value;
  }

  protected function newControl() {
    return id(new AphrontFormMarkupControl())
      ->setValue($this->value);
  }


}
